Export a collection of inventory preload records Copy Pagepost https://yourServer.jamfcloud.com/api/v2/inventory-preload/exportExport a collection of inventory preload records Required privilege: Read Inventory Preload RecordsRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query Paramsexport-fieldsarray of stringsDefaults to Export fields parameter, used to change default order or ignore some of the response properties. Default is empty array, which means that all fields of the response entity will be serialized. Example: export-fields=id,usernameexport-fieldsADD stringexport-labelsarray of stringsDefaults to Export labels parameter, used to customize fieldnames/columns in the exported file. Default is empty array, which means that response properties names will be used. Number of the provided labels must match the number of export-fields Example: export-labels=identifier,name with matching: export-fields=id,usernameexport-labelsADD stringpageintegerDefaults to 0page-sizeintegerDefaults to 100sortarray of stringsDefaults to id:ascSorting criteria in the format: property:asc/desc. Default sort is id:asc. Multiple sort criteria are supported and must be separated with a comma. All inventory preload fields are supported, however fields added by extension attributes are not supported. If sorting by deviceType, use 0 for Computer and 1 for Mobile Device. Example: sort=date:desc,name:asc.sort stringADD stringfilterstringAllowing to filter inventory preload records. Default search is empty query - returning all results for the requested page. All inventory preload fields are supported, however fields added by extension attributes are not supported. If filtering by deviceType, use 0 for Computer and 1 for Mobile Device. Query in the RSQL format, allowing ==, !=, >, <, and =in=. Example: filter=categoryName=="Category"Body ParamsOptional. Override query parameters since they can make URI exceed 2,000 character limit.pageinteger | nullDefaults to 0pageSizeinteger | nullDefaults to 100sortarray of strings | nullDefaults to id:descSorting criteria in the format: [[:asc/desc]. Default direction when not stated is ascending.sort stringADD stringfilterstring | nullfieldsarray of objects | nullUsed to change default order or ignore some of the fields. When null or empty array, all fields will be exported.fieldsADD objectHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/csvAllowed:application/jsontext/csvResponses 200Export successful 503Unable to perform export operation.Updated 22 days ago